//Database Connection Setup
const mongoose = require("mongoose");

const ProductSchema = new mongoose.Schema(
  {
    title: { type: String, required: true },
    price: { type: Number, required: true },
    discount: { type: Number, required: true },
    weight: { type: Number, required: true },
    thumbnail: String,
    images: [String],
    size: [String],
    color: [String],
    category: { type: String, required: true },
    stock: { type: Number, required: true },
    description: String,
    reviews: [{ rate: Number, comment: String, image: [String] }],
    featured: Boolean,
    slug: { type: String, required: true, unique: true },
    "meta-title": String,
    "meta-description": String,
  },
  { timestamps: true }
);

const ProductModel = mongoose.model("Product", ProductSchema);

module.exports = ProductModel;
