const express = require("express");
const router = express.Router();

const controller = require("../controller/userController");
const authorization = require("../middleware/Authorization");

// End-Point '/api/user
router.post("/login", controller.login);
router.post("/", controller.newUser);

//Authorized needed for this router
router.get("/", controller.getUsers);
router.get("/:id", controller.getUser);
router.put("/:id", controller.updateUser);
router.delete("/:id", controller.deleteUser);

module.exports = router;
